# Interface AsyncDispatcher

public interface AsyncDispatcher
Interface for performing asynchronous dispatch operations within the container.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispatch(ServletRequest request, ServletResponse response)`
  Perform an asynchronous dispatch.

- ## Method Details

  - ### dispatch

    void dispatch(ServletRequest request, ServletResponse response) throws ServletException, IOException
    Perform an asynchronous dispatch. The method does not check if the request is in an appropriate state for this; it is the caller's responsibility to check this.
    Parameters:
      `request` - The request object to pass to the dispatch target
      `response` - The response object to pass to the dispatch target
    Throws:
      `ServletException` - if thrown by the dispatch target
      `IOException` - if an I/O error occurs while processing the dispatch